## Package org.w3c.www.protocol.http

Interface Summary
PropRequestFilter | The PropRequestFilter interface.
RequestFilter | The request filter interface.
RequestObserver | The interface to be implemented by request observers.
RequestProcessor | Request processor interface.

Class Summary
ConnectedEvent |
ContinueEvent | The continue event notifies the observer of receipt of a continue packet.
DebugFilter | A simple debug filter, that will dump traffic This filter will dump the outgoing request, and the incomming reply to the java process standard output.
Handler |
HttpBasicServer | The basic server class, to run requests.
HttpManager | The client side HTTP request manager.
HttpMuxServer |
HttpServer | The HttpServer interface.
HttpURLConnection |
Reply |
Request | The client side idea of a request.
RequestEvent | The base class for request events.

Exception Summary
HttpException | Exception thrown when processing a request failed.
PropRequestFilterException |